Subject: bug#77988: 31.0.50; No more images after fullscreen and load-theme

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 May 2025 10:22:36 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 15 May 2025 22:54:24 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Elijah Gabe Pérez <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Wed, 14 May 2025 12:47:54 -0600
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Ping! Could someone please reproduce this?
> >> 
> >> Yep, i could reproduce this, I've noticed that reproducing this on a
> >> Cairo build (with same build options) seems to fix it.
> >
> > Since Manuel explicitly says this is a Lucid-only issue, this is
> > expected.
> >
> > Are you able to debug this to figure out why the problem happens in
> > the Lucid build?
> 
> Yes, I can.

Thanks, adding Alan to the discussion, in case he has comments or
ideas.

> The problem is I don't know how to send the debugging
> information here (also, where to put the breakpoint since this only
> affects to svg/png images).

svg_load seems to be a good place for the latter.

As for sending debugging information: just post the GDB commands you
use and their output, as plain text.

> I don't have much experience debugging Emacs.
> 
> So i'm sending here some backtraces that i could do and can be useful:

Are these backtraces before or after the problematic display happened?